## live-boot 20210122

=== debian/changelog ===
live-boot (1:20210122) unstable; urgency=medium

  [ Steven Shiau ]
  * A workaround to make sure /dev/mtd0 can be created
  * Use ntfs-3g instead of kernel module ntfs.ko (Closes: #939034)

  [ Benjamin Drung ]
  * components/9990-networking.sh: Add shellcheck override
  * Fix DNS search entry in /etc/resolv.conf
  * Fix shellcheck in components/9990-main.sh
  * Simplify empty check for /etc/resolv.conf
  * Create /etc/hostname in initramfs
  * Copy /etc/hostname and /etc/hosts into target
  * Fix flipped logic for handling memdiskfind
  * components/9990-main.sh: Fix shellcheck issue SC2236
  * Fix leading space in DEVICE setting

  [ Marcel Partap ]
  * Accept multiple overlay names from persistence-label parameter
  * Fix spurious error msgs from live-boot about failed mounts…
  * Document the fact that persistence-label now accepts a list
  * Set sticky bit on /var/tmp as well (matching perms in base-files)

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper from old 10 to 12. + debian/rules: Move --fail-missing
    argument to dh_missing.
  * Set debhelper-compat version in Build-Depends.

  [ Lyndon Brown ]
  * amend copyright
  * "Live Systems" -> "Debian Live"

  [ Raphaël Hertzog ]
  * Drop Iain R. Learmonth from Uploaders on his request (Closes: #970288)
  * Update standards version to 4.5.0, no changes needed.
  * Update my maintainer email

 -- Raphaël Hertzog <raphael@offensive-security.com>  Fri, 22 Jan 2021 15:18:23 +0100

## live-boot 20210208

=== debian/changelog ===
live-boot (1:20210208) unstable; urgency=high

  [ Steven Shiau ]
  * Revert commit that forced usage of the last ethernet device making it
    impossible to boot when the working connection was on another
    ethernet device
  * Cleanup the leading space that was causing issues and that resulted
    in the former wrong change with a sed.

 -- Raphaël Hertzog <raphael@offensive-security.com>  Mon, 08 Feb 2021 12:18:07 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/tmp

	# Removing useless files
	rm -f debian/tmp/usr/share/doc/live-boot/COPYING

	# live-boot-initramfs-tools
	mkdir -p debian/live-boot-initramfs-tools/usr/share
	mv debian/tmp/usr/share/initramfs-tools debian/live-boot-initramfs-tools/usr/share

override_dh_missing:
	dh_missing --fail-missing

## live-boot 20220505

=== debian/changelog ===
live-boot (1:20220505) unstable; urgency=medium

  [ Thore Sommer ]
  * Remove encryption support for live-media via losetup.
  * Fix blacklisting for devices that contain the live rootfs for
    persistence. (Closes: #934701)
  * Adding support for dm-verity rootfs
  * docs: document dm-verity support

 -- Luca Boccassi <bluca@debian.org>  Thu, 05 May 2022 11:16:56 +0100

## live-boot 20230131

=== debian/changelog ===
live-boot (1:20230131) unstable; urgency=medium

  [ Thore Sommer ]
  * set redirect=on for overlayfs unions
  * fix dm-verity installation for non merged /bin and /usr/bin (Closes:
    #1010951)

 -- Luca Boccassi <bluca@debian.org>  Tue, 31 Jan 2023 16:30:52 +0000

## live-boot 20230131+deb12u1

=== debian/changelog ===
live-boot (1:20230131+deb12u1) bookworm; urgency=medium

  * Add fix to get DHCP from all nics, not only the first one seen with link
    up (Closes: #1069048).

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Nov 2024 22:14:44 +0100

=== debian/control ===
Source: live-boot
Section: misc
Priority: optional
Maintainer: Debian Live Maintainers <debian-live@lists.debian.org>
Uploaders: Raphaël Hertzog <raphael@offensive-security.com>,
 Luca Boccassi <bluca@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 po4a,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://wiki.debian.org/DebianLive
Vcs-Browser: https://salsa.debian.org/live-team/live-boot
Vcs-Git: https://salsa.debian.org/live-team/live-boot.git

Package: live-boot
Architecture: all
Depends:
 live-boot-initramfs-tools | live-boot-backend,
 ${misc:Depends},
Recommends:
 live-boot-doc,
 live-tools,
 rsync,
 uuid-runtime,
Suggests:
 cryptsetup,
 curlftpfs,
 httpfs2,
 wget,
Description: Live System Boot Components
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-boot contains the components to configure a live system during the boot
 process (early userspace). Do not install this package on your regular system,
 it is only meant to be used in a live image.
 .
 In addition to live-boot, a backend for the initrd generation is required, such
 as live-boot-initramfs-tools.

Package: live-boot-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Live System Boot Components (documentation)
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-boot contains the components to configure a live system during the boot
 process (early userspace).
 .
 This package contains the documentation.

Package: live-boot-initramfs-tools
Architecture: all
Depends:
 busybox | busybox-initramfs,
 initramfs-tools,
 udev,
 ${misc:Depends},
Conflicts:
 live-boot-backend,
Replaces:
 live-boot-backend,
Provides:
 live-boot-backend,
Description: Live System Boot Components (initramfs-tools backend)
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-boot contains the components to configure a live system during the boot
 process (early userspace). Do not install this package on your regular system,
 it is only meant to be used in a live image.
 .
 This package contains the initramfs-tools backend.

## live-boot 20230131.drbl1

=== debian/changelog ===
live-boot (1:20230131.drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * Applied the patches from DRBL project:
    08_add_hwbin_for_udev.patch
    12_suppress_removable_cat_msg.patch
    16_stick_to_pxe_srv_add_dhcp-vendor-id.patch
    18_add_multiple_module_for_toram.patch
    25_netboot_with_static_ip_add.patch

 -- Steven Shiau <steven@clonezilla.org>  Sat, 11 Feb 2023 22:04:05 +0800

## live-boot 20240315.drbl1

=== debian/changelog ===
live-boot (1:20240315.drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use upstream git on 2024/03/15.
  * Applied patches from DRBL/Clonezilla team.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 15 Mar 2024 11:00:10 +0800

## live-boot 20240525

=== debian/changelog ===
live-boot (1:20240525) unstable; urgency=medium

  [ Thore Sommer ]
  * luks: is_active_luks_mapping() check explicitly for type
  * Introduce lukslabel option

  [ Jan Schär ]
  * Use "tmpfs" instead of "/dev/shm" as tmpfs device name

  [ Thore Sommer ]
  * setup_loop: simplify and fix dependency on kernel defaults

  [ MexIT ]
  * CI update
  * Added exfat support to the initramfs

  [ Luca Boccassi ]
  * Update to debhelper-compat 13
  * d/control: bump Standards-Version to 4.7.0, no changes
  * Install all files under /usr/

 -- Luca Boccassi <bluca@debian.org>  Sat, 25 May 2024 12:12:34 +0100

## live-boot 20240525.1

=== debian/changelog ===
live-boot (1:20240525.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add fix to get DHCP from all nics, not only the first one seen with link
    up (Closes: #1069048).

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Nov 2024 12:42:59 +0100

## live-boot 20240525.drbl1

=== debian/changelog ===
live-boot (1:20240525.drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * Applied the patches from DRBL/Clonezilla project.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 29 May 2024 19:28:13 +0800

## live-boot 20250225

=== debian/changelog ===
live-boot (1:20250225) unstable; urgency=medium

  [ Emanuele Rocca ]
  * Add HTTP boot support by including kernel modules for pmem devices:
    of_pmem, nd_pmem, nfit.

 -- Luca Boccassi <bluca@debian.org>  Tue, 25 Feb 2025 10:07:15 +0000

## live-boot 20250225.drbl1

=== debian/changelog ===
live-boot (1:20250225.drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * Applied the patches from DRBL/Clonezilla project.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 01 Mar 2025 18:33:40 +0800

## live-boot 20250225.drbl2

=== debian/changelog ===
live-boot (1:20250225.drbl2) unstable; urgency=medium

  * Fixed 26-wait-multiple-nic.patch.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 01 Mar 2025 20:05:57 +0800

## live-boot 20250815~deb13u1

=== Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = $(shell cd manpages/po && ls)

SCRIPTS = backend/*/* frontend/* components/*

all: build

test:
	@echo -n "Checking for syntax errors"

	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done

	@echo " done."

	@# We can't just fail yet on bashisms (FIXME)
	@if [ -x "$$(which checkbashisms 2>/dev/null)" ]; \
	then \
		echo -n "Checking for bashisms"; \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT} || true; \
			echo -n "."; \
		done; \
		echo " done."; \
	else \
		echo "W: checkbashisms - command not found"; \
		echo "I: checkbashisms can be obtained from: "; \
		echo "I:   https://salsa.debian.org/debian/devscripts.git"; \
		echo "I: On Debian based systems, checkbashisms can be installed with:"; \
		echo "I:   apt-get install devscripts"; \
	fi

build:
	$(MAKE) -C $(CURDIR)/manpages

install:
	# Installing components
	mkdir -p $(DESTDIR)/usr/lib/live/boot
	cp components/* $(DESTDIR)/usr/lib/live/boot

	# Installing executables
	mkdir -p $(DESTDIR)/usr/share/initramfs-tools/hooks
	for f in backend/initramfs-tools/*.hook; do \
		cp $${f} $(DESTDIR)/usr/share/initramfs-tools/hooks/$$(basename $${f} .hook); \
	done
	mkdir -p $(DESTDIR)/usr/share/initramfs-tools/scripts
	for f in backend/initramfs-tools/*.script; do \
		cp $${f} $(DESTDIR)/usr/share/initramfs-tools/scripts/$$(basename $${f} .script); \
	done

	mkdir -p $(DESTDIR)/usr/bin
	cp frontend/* $(DESTDIR)/usr/bin

	# Installing docs
	mkdir -p $(DESTDIR)/usr/share/doc/live-boot
	cp -r COPYING $(DESTDIR)/usr/share/doc/live-boot

	# Installing manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
		install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE}); \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
			install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

uninstall:
	# Uninstalling executables
	rm -f $(DESTDIR)/usr/bin/live-boot
	rm -f $(DESTDIR)/usr/bin/live-swapfile
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/bin > /dev/null 2>&1 || true

	rm -f $(DESTDIR)/usr/share/initramfs-tools/hooks/live
	rm -f $(DESTDIR)/usr/share/initramfs-tools/scripts/live

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools/hooks > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools/scripts > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true

	# Uninstalling docs
	rm -rf $(DESTDIR)/usr/share/doc/live-boot
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/doc > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true

	# Uninstalling manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
		rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE} .en.$${SECTION}).$${SECTION}; \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
			rm -f $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

	for SECTION in $(for MANPAGE in $(ls manpages/en/*); do basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1; done | sort -u); \
	do \
		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/man$${SECTION} > /dev/null 2>&1 || true; \
		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/*/man$${SECTION} > /dev/null 2>&1 || true; \
	done

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true

	rmdir --ignore-fail-on-non-empty $(DESTDIR) > /dev/null 2>&1 || true

clean:
	@echo "Nothing to clean."

distclean: clean
	@echo "Nothing to distclean."

reinstall: uninstall install

=== manpages/Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = $(shell cd po && ls)

all: build

po4a.cfg:
	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg

	for MANPAGE in en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
		echo "[type: man] $${MANPAGE} \$$lang:\$$lang/$$(basename $${MANPAGE} .$${SECTION}).\$$lang.$${SECTION}" >> po4a.cfg; \
	done

update:
	./bin/update-version.sh

build: check po4a.cfg
	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
	then \
		echo "E: po4a - command not found"; \
		echo "I: po4a can be obtained from https://po4a.org"; \
		echo "I: On Debian based systems, po4a can be installed with 'apt-get install po4a'."; \
		exit 1; \
	fi

	po4a --copyright-holder "Debian Live Project" --keep 0 --package-name live-boot --package-version $(shell cd ..;dpkg-parsechangelog -S Version) po4a.cfg

clean:
	rm -rf $(LANGUAGES)

distclean: clean
	rm -f po4a.cfg

rebuild: distclean update build

check:
	@echo -n "Checking the integrity of .po files "

	@if [ -x /usr/bin/msgfmt ]; \
	then \
		for POFILE in po/*/*; \
		do \
			msgfmt --check --output-file=/dev/null $${POFILE}; \
			echo -n "."; \
		done; \
	else \
		echo "WARNING: skipping po integrity check. You must install gettext."; \
	fi
	
	@echo " done!"

.PHONY: po4a.cfg

=== debian/changelog ===
live-boot (1:20250815~deb13u1) trixie; urgency=medium

  * Upload to trixie

 -- Luca Boccassi <bluca@debian.org>  Fri, 15 Aug 2025 18:47:32 +0100

live-boot (1:20250815) unstable; urgency=medium

  [ Roland Clobus ]
  * Don't verify with all checksum files

  [ Luca Boccassi ]
  * Remove live-build's os-release on removal (Closes: #1111039)

 -- Luca Boccassi <bluca@debian.org>  Fri, 15 Aug 2025 17:18:52 +0100

## live-boot 20250815

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Raphaël Hertzog <raphael@offensive-security.com>,
  Luca Boccassi <bluca@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  po4a,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://wiki.debian.org/DebianLive
 Vcs-Browser: https://salsa.debian.org/live-team/live-boot

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,3 @@
 	# live-boot-initramfs-tools
 	mkdir -p debian/live-boot-initramfs-tools/usr/share
 	mv debian/tmp/usr/share/initramfs-tools debian/live-boot-initramfs-tools/usr/share
-
-override_dh_missing:
-	dh_missing --fail-missing

## live-boot 20250815.drbl1

=== debian/changelog ===
live-boot (1:20250815.drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * Applied patches from DRBL project.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 19 Aug 2025 16:56:15 +0800

## live-boot 20250815.drbl2

=== debian/changelog ===
live-boot (1:20250815.drbl2) unstable; urgency=medium

  * Patched to have a parameter ethdevice-link-timeout for ethernet device
    linking status timeout, and its default value is set as 15 secs.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Open_discussion/thread/579168f80f/

 -- Steven Shiau <steven@clonezilla.org>  Wed, 20 Aug 2025 08:22:16 +0800
